
{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (garetxe@gmail.com)

A type corresponding to the appropriate struct type for the stat()
system call, depending on the platform and/or compiler being used.

See g_stat() for more information.
-}

module GI.GLib.Structs.StatBuf
    ( 

-- * Exported types
    StatBuf(..)                             ,
    noStatBuf                               ,


    ) where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

import GI.GLib.Types
import GI.GLib.Callbacks

newtype StatBuf = StatBuf (ForeignPtr StatBuf)
noStatBuf :: Maybe StatBuf
noStatBuf = Nothing


