
{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (garetxe@gmail.com)
-}

module GI.GLib.Unions.FloatIEEE754
    ( 

-- * Exported types
    FloatIEEE754(..)                        ,
    noFloatIEEE754                          ,


 -- * Properties
-- ** VFloat
    floatIEEE754ReadVFloat                  ,




    ) where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

import GI.GLib.Types
import GI.GLib.Callbacks

newtype FloatIEEE754 = FloatIEEE754 (ForeignPtr FloatIEEE754)
noFloatIEEE754 :: Maybe FloatIEEE754
noFloatIEEE754 = Nothing

floatIEEE754ReadVFloat :: FloatIEEE754 -> IO Float
floatIEEE754ReadVFloat s = withManagedPtr s $ \ptr -> do
    val <- peek (ptr `plusPtr` 0) :: IO CFloat
    let val' = realToFrac val
    return val'


