
{- |
Copyright  : Will Thompson, Iñaki García Etxebarria and Jonas Platte
License    : LGPL-2.1
Maintainer : Iñaki García Etxebarria (garetxe@gmail.com)

An opaque structure representing a test case.
-}

module GI.GLib.Structs.TestCase
    ( 

-- * Exported types
    TestCase(..)                            ,
    noTestCase                              ,


    ) where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

import GI.GLib.Types
import GI.GLib.Callbacks

newtype TestCase = TestCase (ForeignPtr TestCase)
noTestCase :: Maybe TestCase
noTestCase = Nothing


